MongoCollection::__construct
MongoCollection::createDBRef
MongoCollection
PHP Manual

# MongoCollection::count

Counts the number of documents in this collection

### Description

public int MongoCollection::count ([ array `$query` = array() [, int `$limit` = 0 [, int `$skip` = 0 ]]] )

### Parameters

`query`

  Associative array or object with fields to match.

`limit`

  Specifies an upper limit to the number returned.

`skip`

  Specifies a number of results to skip before starting the count.

### Return Values

Returns the number of documents matching the query.

### Changelog

Version | Description
--- | ---
1.0.7 | Added `limit` and `skip` parameters.

### Examples

Example #1 MongoCollection::count example

`<?php
$collection->insert(array('x'=>1));
$collection->insert(array('x'=>2));
$collection->insert(array('x'=>3));
var_dump($collection->count());
var_dump($collection->count(array('x'=>1)));
?>`

The above example will output something similar to:

    int(3)
    int(1)